## org.apache.poi.hssf.model
Class DrawingManager2

    java.lang.Object
      org.apache.poi.hssf.model.DrawingManager2

    public class DrawingManager2

extends java.lang.Object

Provides utilities to manage drawing groups.

Author:
  Glen Stampoultzis (glens at apache.org)

Constructor Summary
`DrawingManager2(EscherDggRecord dgg)`

Method Summary
`int` `allocateShapeId(short drawingGroupId)` Allocates new shape id for the new drawing group id.
`int` `allocateShapeId(short drawingGroupId, EscherDgRecord dg)` Allocates new shape id for the new drawing group id.
`void` `clearDrawingGroups()` Clears the cached list of drawing groups
`EscherDgRecord` `createDgRecord()`
`EscherDggRecord` `getDgg()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DrawingManager2

    public DrawingManager2(EscherDggRecord dgg)

Method Detail

### clearDrawingGroups

    public void clearDrawingGroups()

  Clears the cached list of drawing groups

### createDgRecord

    public EscherDgRecord createDgRecord()

### allocateShapeId

    public int allocateShapeId(short drawingGroupId)

  Allocates new shape id for the new drawing group id.

  Returns:
    a new shape id.

### allocateShapeId

    public int allocateShapeId(short drawingGroupId,
                               EscherDgRecord dg)

  Allocates new shape id for the new drawing group id.

  Returns:
    a new shape id.

### getDgg

    public EscherDggRecord getDgg()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.